{
    template: '${tmpl}',
        data: function() {
            return {
                currentUser: null,
                dialogTableVisible: false,
                dialogFormVisible: false,
                pwdSaveLoading: false,
                apiForm: {
                    uri: '',
                    req: '',
                    res: ''
                },
            }
        },
    mounted: function() {
    },
    created: function() {

    },
    methods: {
        cleareq() {
            this.apiForm = {
                uri: '',
                req: '',
                res: ''
            };
        },
        doreq() {
            console.log(this.apiForm, '-------------- api form');
            var self = this;
            let data = JSON.parse(self.apiForm.req || "{}");
            self.$root.postReq(self.apiForm.uri, data).then(function (d) {
                self.apiForm.res = JSON.stringify(d);
            });
        }
    },
    vname: "gsb-bpouser"
}

